export function dateNow() {
  const now = new Date(Date.now()+ (9 * 3600000));
  return now;
}

export function bytes(str) {
  let len = 0;
  for (let i = 0; i < str.length; i++) {
  (str[i].match(/[ -~]/)) ? len += 1 : len += 2;
  }
  return len;
}

export function isHanEisu(str){
  str = (str==null)?"":str;
  if(str.match(/^[A-Za-z0-9]*$/)){
    return true;
  }else{
    return false;
  }
}

export function getDateToString(date) {
  const strDate = date
    .toISOString()           //2022-02-05T21:00:00.000Z
    .replace(/[^0-9]/g, '')  //20220205210000000
    .slice(0, -3);           //202202052100
  return strDate;
};

export function getStringToDate(dateStr) {
  const year = parseInt(dateStr.substring(0, 4));
  const month = parseInt(dateStr.substring(4, 6));
  const day = parseInt(dateStr.substring(6, 8));
  const hour = parseInt(dateStr.substring(8, 10));
  const min = parseInt(dateStr.substring(10, 12));
  const sec = parseInt(dateStr.substring(12, 14));
  const date = new Date(year, month - 1, day, hour, min, sec); //monthは0オリジン
  return date;
 };
 
 export function dateFormatNow(date, format) {
  const weekday = ["日", "月", "火", "水", "木", "金", "土"];
  if (!format) {
      format = 'MM/DD hh:mm' //format = 'YYYY/MM/DD(WW) hh:mm:ss'
  }
  format = format.replace(/YYYY/g, date.getFullYear());
  format = format.replace(/MM/g, ('0' + (date.getMonth() + 1)).slice(-2));
  format = format.replace(/DD/g, ('0' + date.getDate()).slice(-2));
  format = format.replace(/WW/g, weekday[date.getDay()]);
  format = format.replace(/hh/g, ('0' + date.getHours()).slice(-2));
  format = format.replace(/mm/g, ('0' + date.getMinutes()).slice(-2));
  format = format.replace(/ss/g, ('0' + date.getSeconds()).slice(-2));

  return format;
}

export function getShowStrLocation(location) {
  const strLocation = `x:§c${location.x}§r y:§a${location.y}§r z:§9${location.z}§r`;
  return strLocation;
}